请选择 进入手机版 | 继续访问电脑版
查看: 1773|回复: 0

[discuz] 关于discuz出现“对不起,您安装的不是正版应用”的解决...

[复制链接]
  • TA的每日心情
    难过
    4 天前
  • 16

    主题

    17

    帖子

    159

    积分

    管理员

    Rank: 80Rank: 80Rank: 80Rank: 80Rank: 80

    威望
    0
    技术币
    106
    在线时间
    19 小时
    注册时间
    2020-2-4
    最后登录
    2020-9-26
    QQ
    发表于 2020-2-20 17:52:06 | 显示全部楼层 |阅读模式
    u=271742861,3496401412&fm=26&gp=0.jpg

    dz更新到2.0以上后,增加了对插件的版本检测,在安装时,会出现:“对不起,您安装的不是正版应用,安装程序无法继续执行”的提示,要解决这个其实挺容易的。下面且听我详细说明。
    1、使用FTP工具找到以下文件:/source/function/function_cloudaddons.php  
    2、保存到本地,用记事本打开该文件。
    3、使用快捷键CTRL+F查找关键字段:
    1. cpmsg('cloudaddons_genuine_message', '', 'error', array('addonid' => $addonid));
    复制代码
    4、将查找到的该字段注释掉,修改为:
    1. /*cpmsg('cloudaddons_genuine_message', '', 'error', array('addonid' => $addonid));*/
    复制代码
    保存修改好的文件。使用FTP工具上传覆盖途径 /source/function。

    保存完毕后,后台进入工具-更新缓存。选择数据缓存和模板缓存。点击确定。

    点击站点首页,查看修改过的效果。

    注意:DZ在用FTP工具修改代码文件时,建议做个备份,防止代码修改错误造成的损失。

    回复

    使用道具 举报

    您需要登录后才可以回帖 登录 | 会员注册

    本版积分规则